/**
 * IE6NoMore
 * @author Tenderfeel
 * @ver 1.1
 * @HOME http://tenderfeel.xsrv.jp/
 * 
 * @Need:jQuery ver1.2.6 upper
 * 
 * ---MIT License--------------------------------------------
 * Copyright (c) 2008 Tenderfeel all rights reserved.
 * 以下に定める条件に従い、本ソフトウェアおよび関連文書の
 * ファイル（以下「ソフトウェア」）の複製を取得するすべての
 * 人に対し、ソフトウェアを無制限に扱うことを無償で許可します。
 * これには、ソフトウェアの複製を使用、複写、変更、結合、
 * 掲載、頒布、サブライセンス、および/または販売する権利、
 * およびソフトウェアを提供する相手に同じことを許可する権利も無制限に含まれます。
 * 
 * 上記の著作権表示および本許諾表示を、
 * ソフトウェアのすべての複製または重要な部分に記載するものとします。
 * 
 * ソフトウェアは「現状のまま」で、明示であるか暗黙であるかを問わず、
 * 何らの保証もなく提供されます。ここでいう保証とは、商品性、
 * 特定の目的への適合性、および権利非侵害についての保証も含みますが、
 * それに限定されるものではありません。作者または著作権者は、
 * 契約行為、不法行為、またはそれ以外であろうと、
 * ソフトウェアに起因または関連し、あるいはソフトウェアの使用
 * またはその他の扱いによって生じる一切の請求、損害、
 * その他の義務について何らの責任も負わないものとします。 
 * ----------------------------------------------------------
 */
(function(jQuery) { 
	jQuery.fn.IE6NoMore = function(options){
		
			var options = jQuery.extend({
				text1:"あなたは旧式ブラウザをご利用中です",
				text2:"このウェブサイトを快適に閲覧するにはブラウザをアップグレードしてください。"
			}, options);
			
				var container = jQuery("<div></div>").attr({"id": 'IE6NoMore'});
				var button = jQuery("<img></img>").attr({
					"src":"http://www.ie6nomore.com/files/theme/ie6nomore-cornerx.jpg",
					"class": 'close',
					"alt":"Close this notice"
				});
				
				var el = jQuery('body > *:first');
				
				button.click(function () { 
					container.remove();
					el.css("margin-top","0");
				});
				
				container.html('<div class="wrap"><img src="http://www.ie6nomore.com/files/theme/ie6nomore-warning.jpg" alt="Warning!" class="warning" /><div class="nomore-message"><strong>'+options.text1+'</strong>'+options.text2+'</div><a href="http://www.mozilla.jp" target="_blank"><img src="http://www.ie6nomore.com/files/theme/ie6nomore-firefox.jpg" alt="Get Firefox 3.5" class="firefox" /></a><a href="http://www.microsoft.com/downloads/details.aspx?FamilyID=341c2ad5-8c3d-4347-8c03-08cdecd8852b&DisplayLang=ja" target="_blank"><img src="http://www.ie6nomore.com/files/theme/ie6nomore-ie8.jpg" alt="Get Internet Explorer 8" class="IE8" /></a><a href="http://www.apple.com/jp/safari/download/" target="_blank"><img src="http://www.ie6nomore.com/files/theme/ie6nomore-safari.jpg" alt="Get Safari 4" class="safari" /></a><a href="http://www.google.com/chrome?hl=ja" target="_blank"><img src="http://www.ie6nomore.com/files/theme/ie6nomore-chrome.jpg" alt="Get Google Chrome" class="chrome" /></a></div>');
				jQuery(container).append(button);
				el.css("margin-top","75px");
				el.before(container);
		
	};
})(jQuery);


jQuery.noConflict();
jQuery(document).ready(function(){
	// Need jQuery 1.3 upper
	//if ( jQuery.browser.msie && jQuery.browser.version <=6) {
	
	if(IE='\v'=='v' && ( navigator.appVersion.indexOf("MSIE 6.")!==-1 || navigator.appVersion.indexOf("MSIE 5.")!==-1)){
		jQuery("body").IE6NoMore();
	}
});